Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class MethodDescriptor

    java.lang.Object
      |
      +--com.bea.wlpi.common.MethodDescriptor

public class MethodDescriptor
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

Describes a method on a server-side Java class. It is used to pass information about constructors and methods on server-side Java classes to the client, where the class in question may not be accessible.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`MethodDescriptor(java.lang.reflect.Constructor constructor)` Create a new method descriptor to describe a constructor.
`MethodDescriptor(java.lang.reflect.Method method)` Create a new method descriptor to describe a method.

Method Summary
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object obj)` Test two method descriptors for equality.
`protected java.lang.String` | `getComparisonString()`
`java.lang.String` | `getDeclaringClassName()` Return whether this is a final method.
`java.lang.String[]` | `getExceptionTypes()` Return an array of fully qualified exception class names.
`java.lang.String` | `getMethodName()` Return the method name.
`java.lang.String[]` | `getParameterTypes()` Return an array of fully qualified parameter class or interface names.
`java.lang.String` | `getReturnType()` Return the method's return type.
`boolean` | `isAbstract()` Return whether this is an abstract method.
`boolean` | `isFinal()` Return whether this is a final method.
`boolean` | `isNative()` Return whether this is a native method.
`boolean` | `isPrivate()` Return whether this is a private method or constructor.
`boolean` | `isProtected()` Return whether this is a protected method or constructor.
`boolean` | `isPublic()` Return whether this is a public method or constructor.
`boolean` | `isStatic()` Return whether this is a static method.
`boolean` | `isStrict()` Return whether this is a strict method.
`boolean` | `isSynchronized()` Return whether this is a synchronized method.
`java.lang.String` | `toString()` Return a string representation of the method or constructor.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodDescriptor

    public MethodDescriptor(java.lang.reflect.Method method)

  Create a new method descriptor to describe a method. The method name, parameter, return and exception types are extracted and stored with the method descriptor object.

  Parameters:
    `method` - The method to describe.

### MethodDescriptor

    public MethodDescriptor(java.lang.reflect.Constructor constructor)

  Create a new method descriptor to describe a constructor. The parameter, return and exception types are extracted and stored with the method descriptor object.

  Parameters:
    `constructor` - The constructor to describe.

Method Detail

### getMethodName

    public final java.lang.String getMethodName()

  Return the method name.

  Returns:
    The method name.

### getParameterTypes

    public final java.lang.String[] getParameterTypes()

  Return an array of fully qualified parameter class or interface names.

  Returns:
    An array of fully qualified parameter class or interface names.

### getExceptionTypes

    public final java.lang.String[] getExceptionTypes()

  Return an array of fully qualified exception class names.

  Returns:
    An array of fully qualified exception class names thrown by the method.

### getReturnType

    public final java.lang.String getReturnType()

  Return the method's return type.

  Returns:
    Fully qualified class or interface name of method's return type.

### isPublic

    public final boolean isPublic()

  Return whether this is a public method or constructor.

  Returns:
    `true` if this is a public method or constructor.

### isPrivate

    public final boolean isPrivate()

  Return whether this is a private method or constructor.

  Returns:
    `true` if this is a private method or constructor.

### isProtected

    public final boolean isProtected()

  Return whether this is a protected method or constructor.

  Returns:
    `true` if this is a protected method or constructor.

### isAbstract

    public final boolean isAbstract()

  Return whether this is an abstract method.

  Returns:
    `true` if this is an abstract method.

### isStatic

    public final boolean isStatic()

  Return whether this is a static method.

  Returns:
    `true` if this is a static method.

### isSynchronized

    public final boolean isSynchronized()

  Return whether this is a synchronized method.

  Returns:
    `true` if this is a synchronized method.

### isNative

    public final boolean isNative()

  Return whether this is a native method.

  Returns:
    `true` if this is a native method.

### isStrict

    public final boolean isStrict()

  Return whether this is a strict method.

  Returns:
    `true` if this is a strict method.

### isFinal

    public final boolean isFinal()

  Return whether this is a final method.

  Returns:
    `true` if this is a final method.

### getDeclaringClassName

    public final java.lang.String getDeclaringClassName()

  Return whether this is a final method.

  Returns:
    `true` if this is a final method.

### toString

    public java.lang.String toString()

  Return a string representation of the method or constructor.

  Returns:
    A string representation of the method or constructor.
  Overrides:
    toString in class java.lang.Object

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    compareTo in interface java.lang.Comparable

### getComparisonString

    protected java.lang.String getComparisonString()

### equals

    public boolean equals(java.lang.Object obj)

  Test two method descriptors for equality.

  Returns:
    `true` if `obj` is an instance of `MethodDescriptor` which has the same values as this one.
  Overrides:
    equals in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)